List all authors
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/authors \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/authors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/authors"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"authors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"articles_count": 123,
"published_articles_count": 123,
"draft_articles_count": 123,
"name": "<string>",
"email": "jsmith@example.com",
"profile_image_url": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Authors
List authors
This API allows to get a list of all authors with their article counts. Deactivated authors are included.
GET
/
authors
List all authors
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/authors \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/authors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/authors"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"authors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"articles_count": 123,
"published_articles_count": 123,
"draft_articles_count": 123,
"name": "<string>",
"email": "jsmith@example.com",
"profile_image_url": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Field to sort by.
Available options:
name, articles_count Sort direction.
Available options:
asc, desc Response
200 - application/json
OK - Request succeeded